org.keycloak.admin.client.resource

## Interface PoliciesResource

-     public interface PoliciesResource

  Author:
    Pedro Igor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AggregatePoliciesResource` | `aggregate()`
    `ClientPoliciesResource` | `client()`
    `ClientScopePoliciesResource` | `clientScope()`
    `javax.ws.rs.core.Response` | `create(PolicyRepresentation representation)`
    `PolicyEvaluationResponse` | `evaluate(PolicyEvaluationRequest evaluationRequest)`
    `PolicyRepresentation` | `findByName(String name)`
    `GroupPoliciesResource` | `group()`
    `JSPoliciesResource` | `js()`
    `List<PolicyRepresentation>` | `policies()`
    `List<PolicyRepresentation>` | `policies(String id, String name, String type, String resource, String scope, Boolean permission, String owner, String fields, Integer firstResult, Integer maxResult)`
    `PolicyResource` | `policy(String id)`
    `List<PolicyProviderRepresentation>` | `policyProviders()`
    `RegexPoliciesResource` | `regex()`
    `RolePoliciesResource` | `role()`
    `TimePoliciesResource` | `time()`
    `UserPoliciesResource` | `user()`

- - ### Method Detail

    - #### create

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          javax.ws.rs.core.Response create(PolicyRepresentation representation)

    - #### policy

          @Path(value="{id}")
          PolicyResource policy(@PathParam(value="id")
                                                    String id)

    - #### findByName

          @Path(value="/search")
           @GET
           @Produces(value="application/json")
          PolicyRepresentation findByName(@QueryParam(value="name")
                                                                                                            String name)

    - #### policies

          @GET
           @Produces(value="application/json")
          List<PolicyRepresentation> policies()

    - #### policies

          @GET
           @Produces(value="application/json")
          List<PolicyRepresentation> policies(@QueryParam(value="policyId")
                                                                                        String id,
                                                                                        @QueryParam(value="name")
                                                                                        String name,
                                                                                        @QueryParam(value="type")
                                                                                        String type,
                                                                                        @QueryParam(value="resource")
                                                                                        String resource,
                                                                                        @QueryParam(value="scope")
                                                                                        String scope,
                                                                                        @QueryParam(value="permission")
                                                                                        Boolean permission,
                                                                                        @QueryParam(value="owner")
                                                                                        String owner,
                                                                                        @QueryParam(value="fields")
                                                                                        String fields,
                                                                                        @QueryParam(value="first")
                                                                                        Integer firstResult,
                                                                                        @QueryParam(value="max")
                                                                                        Integer maxResult)

    - #### policyProviders

          @Path(value="providers")
           @GET
           @Produces(value="application/json")
          List<PolicyProviderRepresentation> policyProviders()

    - #### evaluate

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
           @Path(value="evaluate")
          PolicyEvaluationResponse evaluate(PolicyEvaluationRequest evaluationRequest)

    - #### role

          @Path(value="role")
          RolePoliciesResource role()

    - #### user

          @Path(value="user")
          UserPoliciesResource user()

    - #### js

          @Path(value="js")
          JSPoliciesResource js()

    - #### time

          @Path(value="time")
          TimePoliciesResource time()

    - #### aggregate

          @Path(value="aggregate")
          AggregatePoliciesResource aggregate()

    - #### client

          @Path(value="client")
          ClientPoliciesResource client()

    - #### group

          @Path(value="group")
          GroupPoliciesResource group()

    - #### clientScope

          @Path(value="client-scope")
          ClientScopePoliciesResource clientScope()

    - #### regex

          @Path(value="regex")
          RegexPoliciesResource regex()

Copyright © 2021 JBoss by Red Hat. All rights reserved.